#!/usr/bin/env node

import { program } from 'commander'
import { readPackage } from 'read-pkg'
// 定义当前版本
// 定义使用方法
// 定义四个指令
program.version((await readPackage()).version)
.usage('<command> [options]')
.command('init', 'generate a new project from a template')
.command('create', 'create a new page view from a template')
// 解析命令行参数
program.parse(process.argv)